toolzerhub API Docs

Get job details

Returns the full posting for each required job_id taken from a search result. Accepts up to 20 comma-separated ids in one call.

4 credits / requestBilled only on success
GET
/v2/jobs/detail

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

job_id*string

Job id from a search result. Up to 20 comma-separated ids per call.

Length1 <= length
country?string

Two-letter ISO country code to search within.

Length2 <= length <= 2
Default"us"
language?string

Language code for the returned listings.

Length2 <= length <= 5
curl -X GET "https://example.com/v2/jobs/detail?job_id=kOh1TMydTBGqZeaRAAAAAA%3D%3D" \  -H "x-api-key: YOUR_API_KEY"
{  "data": [    {      "id": "string",      "short_id": "string",      "title": "string",      "description": "string",      "employment_type": "string",      "employment_types": [        "string"      ],      "is_remote": true,      "company": {        "name": "string",        "logo": "string",        "website": "string",        "reviews": [          {            "board": "string",            "score": 0,            "max_score": 0,            "review_count": 0,            "url": "string"          }        ]      },      "location": {        "text": "string",        "city": "string",        "state": "string",        "country": "string",        "latitude": 0,        "longitude": 0      },      "salary": {        "text": "string",        "min": 0,        "max": 0,        "period": "string"      },      "posted": {        "text": "string",        "at": "string",        "timestamp": 0      },      "apply": {        "url": "string",        "is_direct": true,        "options": [          {            "board": "string",            "url": "string",            "is_direct": true          }        ]      },      "source_board": "string",      "benefits": [        "string"      ],      "highlights": {        "property1": [          "string"        ],        "property2": [          "string"        ]      },      "insights": {        "work_arrangement": "string",        "seniority": "string",        "experience_years_required": 0,        "education": {          "level": "string",          "field": "string"        },        "visa_sponsorship": true,        "relocation_required": true,        "relocation_assistance": true,        "contract_duration": "string",        "start_date": "string",        "technologies": {          "required": [            "string"          ],          "preferred": [            "string"          ]        },        "methodologies": [          "string"        ],        "soft_skills": [          "string"        ],        "extended_benefits": [          "string"        ],        "industry": "string",        "job_function": "string",        "is_management": true,        "involves_ai_ml": true      }    }  ]}